#ifndef __ATTRDICT_H__
#define __ATTRDICT_H__

/* attrdict.h -- extended attribute information

   (c) 1998-2003 (W3C) MIT, ERCIM, Keio University
   See tidy.h for the copyright notice.

   $Id: attrdict.h,v 1.2 2003/04/16 21:24:50 hoehrmann Exp $
*/

#include "tidy.h"

typedef struct _AttrVersion
{
    uint attribute;
    uint versions;
} AttrVersion;

extern AttrVersion W3CAttrsFor_A[];
extern AttrVersion W3CAttrsFor_ABBR[];
extern AttrVersion W3CAttrsFor_ACRONYM[];
extern AttrVersion W3CAttrsFor_ADDRESS[];
extern AttrVersion W3CAttrsFor_APPLET[];
extern AttrVersion W3CAttrsFor_AREA[];
extern AttrVersion W3CAttrsFor_B[];
extern AttrVersion W3CAttrsFor_BASE[];
extern AttrVersion W3CAttrsFor_BASEFONT[];
extern AttrVersion W3CAttrsFor_BDO[];
extern AttrVersion W3CAttrsFor_BIG[];
extern AttrVersion W3CAttrsFor_BLOCKQUOTE[];
extern AttrVersion W3CAttrsFor_BODY[];
extern AttrVersion W3CAttrsFor_BR[];
extern AttrVersion W3CAttrsFor_BUTTON[];
extern AttrVersion W3CAttrsFor_CAPTION[];
extern AttrVersion W3CAttrsFor_CENTER[];
extern AttrVersion W3CAttrsFor_CITE[];
extern AttrVersion W3CAttrsFor_CODE[];
extern AttrVersion W3CAttrsFor_COL[];
extern AttrVersion W3CAttrsFor_COLGROUP[];
extern AttrVersion W3CAttrsFor_DD[];
extern AttrVersion W3CAttrsFor_DEL[];
extern AttrVersion W3CAttrsFor_DFN[];
extern AttrVersion W3CAttrsFor_DIR[];
extern AttrVersion W3CAttrsFor_DIV[];
extern AttrVersion W3CAttrsFor_DL[];
extern AttrVersion W3CAttrsFor_DT[];
extern AttrVersion W3CAttrsFor_EM[];
extern AttrVersion W3CAttrsFor_FIELDSET[];
extern AttrVersion W3CAttrsFor_FONT[];
extern AttrVersion W3CAttrsFor_FORM[];
extern AttrVersion W3CAttrsFor_FRAME[];
extern AttrVersion W3CAttrsFor_FRAMESET[];
extern AttrVersion W3CAttrsFor_H1[];
extern AttrVersion W3CAttrsFor_H2[];
extern AttrVersion W3CAttrsFor_H3[];
extern AttrVersion W3CAttrsFor_H4[];
extern AttrVersion W3CAttrsFor_H5[];
extern AttrVersion W3CAttrsFor_H6[];
extern AttrVersion W3CAttrsFor_HEAD[];
extern AttrVersion W3CAttrsFor_HR[];
extern AttrVersion W3CAttrsFor_HTML[];
extern AttrVersion W3CAttrsFor_I[];
extern AttrVersion W3CAttrsFor_IFRAME[];
extern AttrVersion W3CAttrsFor_IMG[];
extern AttrVersion W3CAttrsFor_INPUT[];
extern AttrVersion W3CAttrsFor_INS[];
extern AttrVersion W3CAttrsFor_ISINDEX[];
extern AttrVersion W3CAttrsFor_KBD[];
extern AttrVersion W3CAttrsFor_LABEL[];
extern AttrVersion W3CAttrsFor_LEGEND[];
extern AttrVersion W3CAttrsFor_LI[];
extern AttrVersion W3CAttrsFor_LINK[];
extern AttrVersion W3CAttrsFor_LISTING[];
extern AttrVersion W3CAttrsFor_MAP[];
extern AttrVersion W3CAttrsFor_MENU[];
extern AttrVersion W3CAttrsFor_META[];
extern AttrVersion W3CAttrsFor_NEXTID[];
extern AttrVersion W3CAttrsFor_NOFRAMES[];
extern AttrVersion W3CAttrsFor_NOSCRIPT[];
extern AttrVersion W3CAttrsFor_OBJECT[];
extern AttrVersion W3CAttrsFor_OL[];
extern AttrVersion W3CAttrsFor_OPTGROUP[];
extern AttrVersion W3CAttrsFor_OPTION[];
extern AttrVersion W3CAttrsFor_P[];
extern AttrVersion W3CAttrsFor_PARAM[];
extern AttrVersion W3CAttrsFor_PLAINTEXT[];
extern AttrVersion W3CAttrsFor_PRE[];
extern AttrVersion W3CAttrsFor_Q[];
extern AttrVersion W3CAttrsFor_RB[];
extern AttrVersion W3CAttrsFor_RBC[];
extern AttrVersion W3CAttrsFor_RP[];
extern AttrVersion W3CAttrsFor_RT[];
extern AttrVersion W3CAttrsFor_RTC[];
extern AttrVersion W3CAttrsFor_RUBY[];
extern AttrVersion W3CAttrsFor_S[];
extern AttrVersion W3CAttrsFor_SAMP[];
extern AttrVersion W3CAttrsFor_SCRIPT[];
extern AttrVersion W3CAttrsFor_SELECT[];
extern AttrVersion W3CAttrsFor_SMALL[];
extern AttrVersion W3CAttrsFor_SPAN[];
extern AttrVersion W3CAttrsFor_STRIKE[];
extern AttrVersion W3CAttrsFor_STRONG[];
extern AttrVersion W3CAttrsFor_STYLE[];
extern AttrVersion W3CAttrsFor_SUB[];
extern AttrVersion W3CAttrsFor_SUP[];
extern AttrVersion W3CAttrsFor_TABLE[];
extern AttrVersion W3CAttrsFor_TBODY[];
extern AttrVersion W3CAttrsFor_TD[];
extern AttrVersion W3CAttrsFor_TEXTAREA[];
extern AttrVersion W3CAttrsFor_TFOOT[];
extern AttrVersion W3CAttrsFor_TH[];
extern AttrVersion W3CAttrsFor_THEAD[];
extern AttrVersion W3CAttrsFor_TITLE[];
extern AttrVersion W3CAttrsFor_TR[];
extern AttrVersion W3CAttrsFor_TT[];
extern AttrVersion W3CAttrsFor_U[];
extern AttrVersion W3CAttrsFor_UL[];
extern AttrVersion W3CAttrsFor_VAR[];
extern AttrVersion W3CAttrsFor_XMP[];

#endif /* __ATTRDICT_H__ */
